@echo off
rem Compile and jar the test harness for the JSR95 Technology Compatability Kit

setlocal
set harness_jar=jsr95ut.jar

call setenv.bat        
echo Compiling harness hls package...
echo %JAVA_HOME%\bin\javac -classpath .;%JAVAX_ACTIVITY% com\ibm\activity\hls\*.java
%JAVA_HOME%\bin\javac -classpath .;%JAVAX_ACTIVITY% com\ibm\activity\hls\*.java
if errorlevel 1 goto javac_err

echo Compiling harness unittest package...
echo %JAVA_HOME%\bin\javac -classpath .;%JAVAX_ACTIVITY% com\ibm\activity\unittest\*.java
%JAVA_HOME%\bin\javac -classpath .;%JAVAX_ACTIVITY% com\ibm\activity\unittest\*.java
if errorlevel 1 goto javac_err

echo Creating %harness_jar%
erase %harness_jar%  >nul 2>nul
%JAVA_HOME%\bin\jar -cvf %harness_jar% com\ibm\activity\unittest\*.java 1>nul
%JAVA_HOME%\bin\jar -uvf %harness_jar% com\ibm\activity\unittest\*.class 1>nul
%JAVA_HOME%\bin\jar -uvf %harness_jar% com\ibm\activity\hls\*.java 1>nul
%JAVA_HOME%\bin\jar -uvf %harness_jar% com\ibm\activity\hls\*.class 1>nul

goto exit

:javac_err
echo Compilation errors ... exiting

:exit

endlocal

