@echo off
rem Execute a single TCK test with logging
rem Syntax:  testone <testid> <testclass> <testargs>
rem
rem Set the configuration options in the setenv.bat file before running this
rem script
rem

setlocal

if EXIST "setenv.bat" goto CONT1
echo ERROR: Unable to find 'setenv.bat' configuration file
goto END
:CONT1

call setenv.bat

if not "%JAVA_HOME%" == "" goto CONT2
echo ERROR: Set JAVA_HOME in 'setenv.bat' before running this script.
goto END
:CONT2

if EXIST "%JAVA_HOME%\bin\java.exe" goto CONT3
echo ERROR: Set JAVA_HOME in 'setenv.bat' to the path of a valid jdk.
goto END
:CONT3


rem @echo on
%JAVACMD% %DEBUG% -classpath "%CPATH%" com.ibm.activity.unittest.RunTest %1 %2 %3 %4

:END
endlocal
