//   <TD>jsr9500220</TD>
//   <TD>SignalSet produces Signals</TD>
//   <TD>
//   Begin Activity; register Action1, Action2 and Action3 with SignalSet s1
//   (using priorities to ensure they are called in sequence);
//   SignalSet s1 has two Signals Signal1 and Signal2;
//   Action1 responds to Signal1 with Outcome1 etc;
//   SignalSet s1 responds to Outcome1 with Signaling indicating
//   isActionInterested false, useNextSignal false;
//   SignalSet s1 responds to Outcome2 with Signaling indicating
//   isActionInterested true, useNextSignal true;
//   SignalSet s1 responds to Outcome3 with Signaling indicating
//   isActionInterested true, useNextSignal true;
//   broadcast (s1)
//   </TD>
//   <TD>
//   Action1 is called for Signal1 only;
//   Action2 is called for Signal1 and Signal2;
//   Action3 is called for Signal2 only
//   </TD>
servicemanager sm220 group220
signalset ss220 signal sig220a sig220b
signalset ss220 response outcome220a false false
signalset ss220 response outcome220b true  true
signalset ss220 response outcome220c true  true
addsignalset ss220
begin
action    act220a sig220a outcome220a
addaction act220a ss220 103
action    act220b sig220a outcome220b
addaction act220b ss220 102
action    act220c sig220a outcome220c
addaction act220c ss220 101
broadcast ss220
// dump
test "outcome from broadcast = null"
// test "SignalSet ss220 returning Signal null"
test "SignalSet ss220 received response null"
test "Action act220c Received sig220b from ss220"
test "SignalSet ss220 received response null"
test "Action act220b Received sig220b from ss220"
// test "SignalSet ss220 returning Signal sig220b"
test "SignalSet ss220 received response outcome220b"
test "Action act220b returning outcome220b"
test "Action act220b Received sig220a from ss220"
test "SignalSet ss220 received response outcome220a"
test "Action act220a returning outcome220a"
test "Action act220a Received sig220a from ss220"
